MKFS.MINIX(8)

NOM
mkfs.minix - Créer un système de fichiers MINIX

SYNOPSIS
mkfs.minix [-c|-l fichier] [-n longueur_nom] [-i nombre_inœuds] [-v] périphérique [taille_en_bloc]

DESCRIPTION
mkfs.minix crée un système de fichiers MINIX sur un périphérique (généralement la partition d'un disque).

Le périphérique est généralement indiqué dans un des formats suivants :

    /dev/hda[1-8] (disque IDE 1)
    /dev/hdb[1-8] (disque IDE 2)
    /dev/sda[1-8] (disque SCSI 1)
    /dev/sdb[1-8] (disque SCSI 2)

Le paramètre taille_en_bloc est la taille désirée pour le système de fichiers (en nombre de blocs). Il n'est présent que pour être compatible avec les anciennes versions. S'il est omis, la taille sera déterminée automatiquement. Il doit exister au moins 10 blocs et il ne peut y en avoir plus de 65 536.

OPTIONS

-c  Vérifier si les blocs sont corrompus ou non sur le périphérique avant de créer le système de fichiers. Si mkfs.minix en trouve, il en affichera le total.

-n longueur_nom
    Indiquer la longueur maximale d'un nom de fichier. Les valeurs autorisées sont 14 et 30. La valeur par défaut est 30. Notez que les noyaux antérieurs à 0.99p7 n'acceptent que 14 comme longueur.

-i nombre_inœuds
    Indiquer le nombre d'inœuds sur le système de fichiers.

-l fichier
    Lire la liste des blocs corrompus depuis le fichier. Ce fichier contient un numéro de bloc défectueux par ligne. Le total des secteurs défectueux lus est ensuite affiché.

-1  Créer un système de fichiers MINIX version 1.

-2, -v
    Créer un système de fichiers MINIX version 2.

-3  Créer un système de fichiers MINIX version 3.

CODES DE RETOUR
Le code de retour renvoyé par mkfs.minix est l'un des codes suivants :

0   Pas d'erreur.

8   Erreur lors de l'opération.

16  Erreur d'utilisation ou de syntaxe.

VOIR AUSSI
mkfs(8), fsck(8), reboot(8)

DISPONIBILITÉ
La commande mkfs.minix fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 2000. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.